//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_DG_Tweening_DOTweenWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(DG.Tweening.DOTween), typeof(System.Object));
		L.RegFunction("Init",FUNCTAG_Init);
		L.RegFunction("SetTweensCapacity",FUNCTAG_SetTweensCapacity);
		L.RegFunction("Clear",FUNCTAG_Clear);
		L.RegFunction("ClearCachedTweens",FUNCTAG_ClearCachedTweens);
		L.RegFunction("Validate",FUNCTAG_Validate);
		L.RegFunction("To",FUNCTAG_To);
		L.RegFunction("ToAxis",FUNCTAG_ToAxis);
		L.RegFunction("ToAlpha",FUNCTAG_ToAlpha);
		L.RegFunction("Punch",FUNCTAG_Punch);
		L.RegFunction("Shake",FUNCTAG_Shake);
		L.RegFunction("ToArray",FUNCTAG_ToArray);
		L.RegFunction("Sequence",FUNCTAG_Sequence);
		L.RegFunction("CompleteAll",FUNCTAG_CompleteAll);
		L.RegFunction("Complete",FUNCTAG_Complete);
		L.RegFunction("FlipAll",FUNCTAG_FlipAll);
		L.RegFunction("Flip",FUNCTAG_Flip);
		L.RegFunction("GotoAll",FUNCTAG_GotoAll);
		L.RegFunction("Goto",FUNCTAG_Goto);
		L.RegFunction("KillAll",FUNCTAG_KillAll);
		L.RegFunction("Kill",FUNCTAG_Kill);
		L.RegFunction("PauseAll",FUNCTAG_PauseAll);
		L.RegFunction("Pause",FUNCTAG_Pause);
		L.RegFunction("PlayAll",FUNCTAG_PlayAll);
		L.RegFunction("Play",FUNCTAG_Play);
		L.RegFunction("PlayBackwardsAll",FUNCTAG_PlayBackwardsAll);
		L.RegFunction("PlayBackwards",FUNCTAG_PlayBackwards);
		L.RegFunction("PlayForwardAll",FUNCTAG_PlayForwardAll);
		L.RegFunction("PlayForward",FUNCTAG_PlayForward);
		L.RegFunction("RestartAll",FUNCTAG_RestartAll);
		L.RegFunction("Restart",FUNCTAG_Restart);
		L.RegFunction("RewindAll",FUNCTAG_RewindAll);
		L.RegFunction("Rewind",FUNCTAG_Rewind);
		L.RegFunction("SmoothRewindAll",FUNCTAG_SmoothRewindAll);
		L.RegFunction("SmoothRewind",FUNCTAG_SmoothRewind);
		L.RegFunction("TogglePauseAll",FUNCTAG_TogglePauseAll);
		L.RegFunction("TogglePause",FUNCTAG_TogglePause);
		L.RegFunction("IsTweening",FUNCTAG_IsTweening);
		L.RegFunction("TotalPlayingTweens",FUNCTAG_TotalPlayingTweens);
		L.RegFunction("PlayingTweens",FUNCTAG_PlayingTweens);
		L.RegFunction("PausedTweens",FUNCTAG_PausedTweens);
		L.RegFunction("TweensById",FUNCTAG_TweensById);
		L.RegFunction("TweensByTarget",FUNCTAG_TweensByTarget);
		L.RegFunction("New",FUNCTAG__CreateDG_Tweening_DOTween);
		L.RegVar("Version",FUNCTAG_get_Version, null);
		L.RegVar("useSafeMode",FUNCTAG_get_useSafeMode, FUNCTAG_set_useSafeMode);
		L.RegVar("showUnityEditorReport",FUNCTAG_get_showUnityEditorReport, FUNCTAG_set_showUnityEditorReport);
		L.RegVar("timeScale",FUNCTAG_get_timeScale, FUNCTAG_set_timeScale);
		L.RegVar("useSmoothDeltaTime",FUNCTAG_get_useSmoothDeltaTime, FUNCTAG_set_useSmoothDeltaTime);
		L.RegVar("drawGizmos",FUNCTAG_get_drawGizmos, FUNCTAG_set_drawGizmos);
		L.RegVar("defaultUpdateType",FUNCTAG_get_defaultUpdateType, FUNCTAG_set_defaultUpdateType);
		L.RegVar("defaultTimeScaleIndependent",FUNCTAG_get_defaultTimeScaleIndependent, FUNCTAG_set_defaultTimeScaleIndependent);
		L.RegVar("defaultAutoPlay",FUNCTAG_get_defaultAutoPlay, FUNCTAG_set_defaultAutoPlay);
		L.RegVar("defaultAutoKill",FUNCTAG_get_defaultAutoKill, FUNCTAG_set_defaultAutoKill);
		L.RegVar("defaultLoopType",FUNCTAG_get_defaultLoopType, FUNCTAG_set_defaultLoopType);
		L.RegVar("defaultRecyclable",FUNCTAG_get_defaultRecyclable, FUNCTAG_set_defaultRecyclable);
		L.RegVar("defaultEaseType",FUNCTAG_get_defaultEaseType, FUNCTAG_set_defaultEaseType);
		L.RegVar("defaultEaseOvershootOrAmplitude",FUNCTAG_get_defaultEaseOvershootOrAmplitude, FUNCTAG_set_defaultEaseOvershootOrAmplitude);
		L.RegVar("defaultEasePeriod",FUNCTAG_get_defaultEasePeriod, FUNCTAG_set_defaultEasePeriod);
		L.RegVar("logBehaviour",FUNCTAG_get_logBehaviour, FUNCTAG_set_logBehaviour);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG__CreateDG_Tweening_DOTween(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 0)
			{
				DG.Tweening.DOTween obj = new DG.Tweening.DOTween();
				ToLua.PushObject(L, obj);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to ctor method: DG.Tweening.DOTween.New");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Init(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			System.Nullable<bool> arg0 = (System.Nullable<bool>)ToLua.CheckVarObject(L, 1, typeof(System.Nullable<bool>));
			System.Nullable<bool> arg1 = (System.Nullable<bool>)ToLua.CheckVarObject(L, 2, typeof(System.Nullable<bool>));
			System.Nullable<DG.Tweening.LogBehaviour> arg2 = (System.Nullable<DG.Tweening.LogBehaviour>)ToLua.CheckVarObject(L, 3, typeof(System.Nullable<DG.Tweening.LogBehaviour>));
			DG.Tweening.IDOTweenInit o = DG.Tweening.DOTween.Init(arg0, arg1, arg2);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetTweensCapacity(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 1);
			int arg1 = (int)LuaDLL.luaL_checknumber(L, 2);
			DG.Tweening.DOTween.SetTweensCapacity(arg0, arg1);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Clear(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			bool arg0 = LuaDLL.luaL_checkboolean(L, 1);
			DG.Tweening.DOTween.Clear(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ClearCachedTweens(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			DG.Tweening.DOTween.ClearCachedTweens();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Validate(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.Validate();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_To(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Quaternion>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Quaternion>), typeof(UnityEngine.Vector3), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Quaternion> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Quaternion>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Quaternion>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Quaternion>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Quaternion> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Quaternion>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Quaternion>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Quaternion>;
				}

				UnityEngine.Vector3 arg2 = ToLua.ToVector3(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<UnityEngine.Quaternion,UnityEngine.Vector3,DG.Tweening.Plugins.Options.QuaternionOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector4>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector4>), typeof(UnityEngine.Vector4), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Vector4> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector4>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector4>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector4>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Vector4> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector4>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector4>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector4>;
				}

				UnityEngine.Vector4 arg2 = ToLua.ToVector4(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<UnityEngine.Vector4,UnityEngine.Vector4,DG.Tweening.Plugins.Options.VectorOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), typeof(UnityEngine.Vector3), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Vector3> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector3>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector3>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Vector3> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector3>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector3>;
				}

				UnityEngine.Vector3 arg2 = ToLua.ToVector3(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<UnityEngine.Vector3,UnityEngine.Vector3,DG.Tweening.Plugins.Options.VectorOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Color>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Color>), typeof(UnityEngine.Color), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Color> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Color>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Color>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Color>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Color> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Color>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Color>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Color>;
				}

				UnityEngine.Color arg2 = ToLua.ToColor(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<UnityEngine.Color,UnityEngine.Color,DG.Tweening.Plugins.Options.ColorOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOSetter<float>), typeof(float), typeof(float), typeof(float)))
			{
				DG.Tweening.Core.DOSetter<float> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOSetter<float>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<float>), func) as DG.Tweening.Core.DOSetter<float>;
				}

				float arg1 = (float)LuaDLL.lua_tonumber(L, 2);
				float arg2 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Tweener o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.RectOffset>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.RectOffset>), typeof(UnityEngine.RectOffset), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.RectOffset> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.RectOffset>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.RectOffset>), func) as DG.Tweening.Core.DOGetter<UnityEngine.RectOffset>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.RectOffset> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.RectOffset>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.RectOffset>), func) as DG.Tweening.Core.DOSetter<UnityEngine.RectOffset>;
				}

				UnityEngine.RectOffset arg2 = (UnityEngine.RectOffset)ToLua.ToObject(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Tweener o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Rect>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Rect>), typeof(UnityEngine.Rect), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Rect> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Rect>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Rect>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Rect>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Rect> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Rect>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Rect>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Rect>;
				}

				UnityEngine.Rect arg2 = (UnityEngine.Rect)ToLua.ToObject(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<UnityEngine.Rect,UnityEngine.Rect,DG.Tweening.Plugins.Options.RectOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector2>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector2>), typeof(UnityEngine.Vector2), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Vector2> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector2>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector2>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector2>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Vector2> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector2>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector2>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector2>;
				}

				UnityEngine.Vector2 arg2 = ToLua.ToVector2(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<UnityEngine.Vector2,UnityEngine.Vector2,DG.Tweening.Plugins.Options.VectorOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<int>), typeof(DG.Tweening.Core.DOSetter<int>), typeof(int), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<int> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<int>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<int>), func) as DG.Tweening.Core.DOGetter<int>;
				}

				DG.Tweening.Core.DOSetter<int> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<int>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<int>), func) as DG.Tweening.Core.DOSetter<int>;
				}

				int arg2 = (int)LuaDLL.lua_tonumber(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Tweener o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<double>), typeof(DG.Tweening.Core.DOSetter<double>), typeof(double), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<double> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<double>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<double>), func) as DG.Tweening.Core.DOGetter<double>;
				}

				DG.Tweening.Core.DOSetter<double> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<double>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<double>), func) as DG.Tweening.Core.DOSetter<double>;
				}

				double arg2 = (double)LuaDLL.lua_tonumber(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<double,double,DG.Tweening.Plugins.Options.NoOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<float>), typeof(DG.Tweening.Core.DOSetter<float>), typeof(float), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<float> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<float>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<float>), func) as DG.Tweening.Core.DOGetter<float>;
				}

				DG.Tweening.Core.DOSetter<float> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<float>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<float>), func) as DG.Tweening.Core.DOSetter<float>;
				}

				float arg2 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<float,float,DG.Tweening.Plugins.Options.FloatOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<uint>), typeof(DG.Tweening.Core.DOSetter<uint>), typeof(uint), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<uint> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<uint>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<uint>), func) as DG.Tweening.Core.DOGetter<uint>;
				}

				DG.Tweening.Core.DOSetter<uint> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<uint>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<uint>), func) as DG.Tweening.Core.DOSetter<uint>;
				}

				uint arg2 = (uint)LuaDLL.lua_tonumber(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Tweener o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<string>), typeof(DG.Tweening.Core.DOSetter<string>), typeof(string), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<string> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<string>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<string>), func) as DG.Tweening.Core.DOGetter<string>;
				}

				DG.Tweening.Core.DOSetter<string> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<string>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<string>), func) as DG.Tweening.Core.DOSetter<string>;
				}

				string arg2 = ToLua.ToString(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Core.TweenerCore<string,string,DG.Tweening.Plugins.Options.StringOptions> o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<ulong>), typeof(DG.Tweening.Core.DOSetter<ulong>), typeof(ulong), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<ulong> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<ulong>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<ulong>), func) as DG.Tweening.Core.DOGetter<ulong>;
				}

				DG.Tweening.Core.DOSetter<ulong> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<ulong>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<ulong>), func) as DG.Tweening.Core.DOSetter<ulong>;
				}

				ulong arg2 = LuaDLL.tolua_touint64(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Tweener o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 4 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<long>), typeof(DG.Tweening.Core.DOSetter<long>), typeof(long), typeof(float)))
			{
				DG.Tweening.Core.DOGetter<long> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<long>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<long>), func) as DG.Tweening.Core.DOGetter<long>;
				}

				DG.Tweening.Core.DOSetter<long> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<long>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<long>), func) as DG.Tweening.Core.DOSetter<long>;
				}

				long arg2 = LuaDLL.tolua_toint64(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				DG.Tweening.Tweener o = DG.Tweening.DOTween.To(arg0, arg1, arg2, arg3);
				ToLua.PushObject(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: DG.Tweening.DOTween.To");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ToAxis(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 5);
			DG.Tweening.Core.DOGetter<UnityEngine.Vector3> arg0 = null;
			LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

			if (funcType1 != LuaTypes.LUA_TFUNCTION)
			{
				 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector3>)ToLua.CheckObject(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 1);
				arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector3>;
			}

			DG.Tweening.Core.DOSetter<UnityEngine.Vector3> arg1 = null;
			LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

			if (funcType2 != LuaTypes.LUA_TFUNCTION)
			{
				 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector3>)ToLua.CheckObject(L, 2, typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 2);
				arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector3>;
			}

			float arg2 = (float)LuaDLL.luaL_checknumber(L, 3);
			float arg3 = (float)LuaDLL.luaL_checknumber(L, 4);
			DG.Tweening.AxisConstraint arg4 = (DG.Tweening.AxisConstraint)(int)LuaDLL.lua_tonumber(L, 5);
			DG.Tweening.Core.TweenerCore<UnityEngine.Vector3,UnityEngine.Vector3,DG.Tweening.Plugins.Options.VectorOptions> o = DG.Tweening.DOTween.ToAxis(arg0, arg1, arg2, arg3, arg4);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ToAlpha(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 4);
			DG.Tweening.Core.DOGetter<UnityEngine.Color> arg0 = null;
			LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

			if (funcType1 != LuaTypes.LUA_TFUNCTION)
			{
				 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Color>)ToLua.CheckObject(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Color>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 1);
				arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Color>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Color>;
			}

			DG.Tweening.Core.DOSetter<UnityEngine.Color> arg1 = null;
			LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

			if (funcType2 != LuaTypes.LUA_TFUNCTION)
			{
				 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Color>)ToLua.CheckObject(L, 2, typeof(DG.Tweening.Core.DOSetter<UnityEngine.Color>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 2);
				arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Color>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Color>;
			}

			float arg2 = (float)LuaDLL.luaL_checknumber(L, 3);
			float arg3 = (float)LuaDLL.luaL_checknumber(L, 4);
			DG.Tweening.Tweener o = DG.Tweening.DOTween.ToAlpha(arg0, arg1, arg2, arg3);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Punch(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 6);
			DG.Tweening.Core.DOGetter<UnityEngine.Vector3> arg0 = null;
			LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

			if (funcType1 != LuaTypes.LUA_TFUNCTION)
			{
				 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector3>)ToLua.CheckObject(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 1);
				arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector3>;
			}

			DG.Tweening.Core.DOSetter<UnityEngine.Vector3> arg1 = null;
			LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

			if (funcType2 != LuaTypes.LUA_TFUNCTION)
			{
				 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector3>)ToLua.CheckObject(L, 2, typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 2);
				arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector3>;
			}

			UnityEngine.Vector3 arg2 = ToLua.ToVector3(L, 3);
			float arg3 = (float)LuaDLL.luaL_checknumber(L, 4);
			int arg4 = (int)LuaDLL.luaL_checknumber(L, 5);
			float arg5 = (float)LuaDLL.luaL_checknumber(L, 6);
			DG.Tweening.Core.TweenerCore<UnityEngine.Vector3,UnityEngine.Vector3[],DG.Tweening.Plugins.Options.Vector3ArrayOptions> o = DG.Tweening.DOTween.Punch(arg0, arg1, arg2, arg3, arg4, arg5);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Shake(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 7 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), typeof(float), typeof(UnityEngine.Vector3), typeof(int), typeof(float), typeof(bool)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Vector3> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector3>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector3>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Vector3> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector3>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector3>;
				}

				float arg2 = (float)LuaDLL.lua_tonumber(L, 3);
				UnityEngine.Vector3 arg3 = ToLua.ToVector3(L, 4);
				int arg4 = (int)LuaDLL.lua_tonumber(L, 5);
				float arg5 = (float)LuaDLL.lua_tonumber(L, 6);
				bool arg6 = LuaDLL.lua_toboolean(L, 7);
				DG.Tweening.Core.TweenerCore<UnityEngine.Vector3,UnityEngine.Vector3[],DG.Tweening.Plugins.Options.Vector3ArrayOptions> o = DG.Tweening.DOTween.Shake(arg0, arg1, arg2, arg3, arg4, arg5, arg6);
				ToLua.PushObject(L, o);
				return 1;
			}
			else if (count == 8 && TypeChecker.CheckTypes(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), typeof(float), typeof(float), typeof(int), typeof(float), typeof(bool), typeof(bool)))
			{
				DG.Tweening.Core.DOGetter<UnityEngine.Vector3> arg0 = null;
				LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

				if (funcType1 != LuaTypes.LUA_TFUNCTION)
				{
					 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector3>)ToLua.ToObject(L, 1);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 1);
					arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector3>;
				}

				DG.Tweening.Core.DOSetter<UnityEngine.Vector3> arg1 = null;
				LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

				if (funcType2 != LuaTypes.LUA_TFUNCTION)
				{
					 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector3>)ToLua.ToObject(L, 2);
				}
				else
				{
					LuaFunction func = ToLua.ToLuaFunction(L, 2);
					arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector3>;
				}

				float arg2 = (float)LuaDLL.lua_tonumber(L, 3);
				float arg3 = (float)LuaDLL.lua_tonumber(L, 4);
				int arg4 = (int)LuaDLL.lua_tonumber(L, 5);
				float arg5 = (float)LuaDLL.lua_tonumber(L, 6);
				bool arg6 = LuaDLL.lua_toboolean(L, 7);
				bool arg7 = LuaDLL.lua_toboolean(L, 8);
				DG.Tweening.Core.TweenerCore<UnityEngine.Vector3,UnityEngine.Vector3[],DG.Tweening.Plugins.Options.Vector3ArrayOptions> o = DG.Tweening.DOTween.Shake(arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7);
				ToLua.PushObject(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: DG.Tweening.DOTween.Shake");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_ToArray(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 4);
			DG.Tweening.Core.DOGetter<UnityEngine.Vector3> arg0 = null;
			LuaTypes funcType1 = LuaDLL.lua_type(L, 1);

			if (funcType1 != LuaTypes.LUA_TFUNCTION)
			{
				 arg0 = (DG.Tweening.Core.DOGetter<UnityEngine.Vector3>)ToLua.CheckObject(L, 1, typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 1);
				arg0 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOGetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOGetter<UnityEngine.Vector3>;
			}

			DG.Tweening.Core.DOSetter<UnityEngine.Vector3> arg1 = null;
			LuaTypes funcType2 = LuaDLL.lua_type(L, 2);

			if (funcType2 != LuaTypes.LUA_TFUNCTION)
			{
				 arg1 = (DG.Tweening.Core.DOSetter<UnityEngine.Vector3>)ToLua.CheckObject(L, 2, typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>));
			}
			else
			{
				LuaFunction func = ToLua.ToLuaFunction(L, 2);
				arg1 = DelegateFactory.CreateDelegate(typeof(DG.Tweening.Core.DOSetter<UnityEngine.Vector3>), func) as DG.Tweening.Core.DOSetter<UnityEngine.Vector3>;
			}

			UnityEngine.Vector3[] arg2 = ToLua.CheckObjectArray<UnityEngine.Vector3>(L, 3);
			float[] arg3 = ToLua.CheckNumberArray<float>(L, 4);
			DG.Tweening.Core.TweenerCore<UnityEngine.Vector3,UnityEngine.Vector3[],DG.Tweening.Plugins.Options.Vector3ArrayOptions> o = DG.Tweening.DOTween.ToArray(arg0, arg1, arg2, arg3);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Sequence(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			DG.Tweening.Sequence o = DG.Tweening.DOTween.Sequence();
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_CompleteAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			bool arg0 = LuaDLL.luaL_checkboolean(L, 1);
			int o = DG.Tweening.DOTween.CompleteAll(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Complete(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			object arg0 = ToLua.ToVarObject(L, 1);
			bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
			int o = DG.Tweening.DOTween.Complete(arg0, arg1);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_FlipAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.FlipAll();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Flip(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			object arg0 = ToLua.ToVarObject(L, 1);
			int o = DG.Tweening.DOTween.Flip(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GotoAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 1);
			bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
			int o = DG.Tweening.DOTween.GotoAll(arg0, arg1);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Goto(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			object arg0 = ToLua.ToVarObject(L, 1);
			float arg1 = (float)LuaDLL.luaL_checknumber(L, 2);
			bool arg2 = LuaDLL.luaL_checkboolean(L, 3);
			int o = DG.Tweening.DOTween.Goto(arg0, arg1, arg2);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_KillAll(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(bool)))
			{
				bool arg0 = LuaDLL.lua_toboolean(L, 1);
				int o = DG.Tweening.DOTween.KillAll(arg0);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else if (TypeChecker.CheckTypes(L, 1, typeof(bool)) && TypeChecker.CheckParamsType(L, typeof(object), 2, count - 1))
			{
				bool arg0 = LuaDLL.lua_toboolean(L, 1);
				object[] arg1 = ToLua.ToParamsObject(L, 2, count - 1);
				int o = DG.Tweening.DOTween.KillAll(arg0, arg1);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: DG.Tweening.DOTween.KillAll");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Kill(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			object arg0 = ToLua.ToVarObject(L, 1);
			bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
			int o = DG.Tweening.DOTween.Kill(arg0, arg1);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PauseAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.PauseAll();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Pause(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			object arg0 = ToLua.ToVarObject(L, 1);
			int o = DG.Tweening.DOTween.Pause(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PlayAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.PlayAll();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Play(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(object)))
			{
				object arg0 = ToLua.ToVarObject(L, 1);
				int o = DG.Tweening.DOTween.Play(arg0);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(object), typeof(object)))
			{
				object arg0 = ToLua.ToVarObject(L, 1);
				object arg1 = ToLua.ToVarObject(L, 2);
				int o = DG.Tweening.DOTween.Play(arg0, arg1);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: DG.Tweening.DOTween.Play");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PlayBackwardsAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.PlayBackwardsAll();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PlayBackwards(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(object)))
			{
				object arg0 = ToLua.ToVarObject(L, 1);
				int o = DG.Tweening.DOTween.PlayBackwards(arg0);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(object), typeof(object)))
			{
				object arg0 = ToLua.ToVarObject(L, 1);
				object arg1 = ToLua.ToVarObject(L, 2);
				int o = DG.Tweening.DOTween.PlayBackwards(arg0, arg1);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: DG.Tweening.DOTween.PlayBackwards");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PlayForwardAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.PlayForwardAll();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PlayForward(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(object)))
			{
				object arg0 = ToLua.ToVarObject(L, 1);
				int o = DG.Tweening.DOTween.PlayForward(arg0);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else if (count == 2 && TypeChecker.CheckTypes(L, 1, typeof(object), typeof(object)))
			{
				object arg0 = ToLua.ToVarObject(L, 1);
				object arg1 = ToLua.ToVarObject(L, 2);
				int o = DG.Tweening.DOTween.PlayForward(arg0, arg1);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: DG.Tweening.DOTween.PlayForward");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_RestartAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			bool arg0 = LuaDLL.luaL_checkboolean(L, 1);
			int o = DG.Tweening.DOTween.RestartAll(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Restart(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);

			if (count == 3 && TypeChecker.CheckTypes(L, 1, typeof(object), typeof(object), typeof(bool)))
			{
				object arg0 = ToLua.ToVarObject(L, 1);
				object arg1 = ToLua.ToVarObject(L, 2);
				bool arg2 = LuaDLL.lua_toboolean(L, 3);
				int o = DG.Tweening.DOTween.Restart(arg0, arg1, arg2);
				LuaDLL.lua_pushinteger(L, o);
				return 1;
			}
			else
			{
				return LuaDLL.luaL_throw(L, "invalid arguments to method: DG.Tweening.DOTween.Restart");
			}
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_RewindAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			bool arg0 = LuaDLL.luaL_checkboolean(L, 1);
			int o = DG.Tweening.DOTween.RewindAll(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Rewind(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			object arg0 = ToLua.ToVarObject(L, 1);
			bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
			int o = DG.Tweening.DOTween.Rewind(arg0, arg1);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SmoothRewindAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.SmoothRewindAll();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SmoothRewind(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			object arg0 = ToLua.ToVarObject(L, 1);
			int o = DG.Tweening.DOTween.SmoothRewind(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_TogglePauseAll(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.TogglePauseAll();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_TogglePause(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			object arg0 = ToLua.ToVarObject(L, 1);
			int o = DG.Tweening.DOTween.TogglePause(arg0);
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_IsTweening(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			object arg0 = ToLua.ToVarObject(L, 1);
			bool o = DG.Tweening.DOTween.IsTweening(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_TotalPlayingTweens(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = DG.Tweening.DOTween.TotalPlayingTweens();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PlayingTweens(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			System.Collections.Generic.List<DG.Tweening.Tween> o = DG.Tweening.DOTween.PlayingTweens();
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_PausedTweens(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			System.Collections.Generic.List<DG.Tweening.Tween> o = DG.Tweening.DOTween.PausedTweens();
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_TweensById(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			object arg0 = ToLua.ToVarObject(L, 1);
			bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
			System.Collections.Generic.List<DG.Tweening.Tween> o = DG.Tweening.DOTween.TweensById(arg0, arg1);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_TweensByTarget(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			object arg0 = ToLua.ToVarObject(L, 1);
			bool arg1 = LuaDLL.luaL_checkboolean(L, 2);
			System.Collections.Generic.List<DG.Tweening.Tween> o = DG.Tweening.DOTween.TweensByTarget(arg0, arg1);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_Version(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushstring(L, DG.Tweening.DOTween.Version);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_useSafeMode(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, DG.Tweening.DOTween.useSafeMode);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_showUnityEditorReport(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, DG.Tweening.DOTween.showUnityEditorReport);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_timeScale(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushnumber(L, DG.Tweening.DOTween.timeScale);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_useSmoothDeltaTime(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, DG.Tweening.DOTween.useSmoothDeltaTime);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_drawGizmos(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, DG.Tweening.DOTween.drawGizmos);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultUpdateType(IntPtr L)
	{
		try
		{
			ToLua.Push(L, DG.Tweening.DOTween.defaultUpdateType);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultTimeScaleIndependent(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, DG.Tweening.DOTween.defaultTimeScaleIndependent);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultAutoPlay(IntPtr L)
	{
		try
		{
			ToLua.Push(L, DG.Tweening.DOTween.defaultAutoPlay);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultAutoKill(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, DG.Tweening.DOTween.defaultAutoKill);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultLoopType(IntPtr L)
	{
		try
		{
			ToLua.Push(L, DG.Tweening.DOTween.defaultLoopType);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultRecyclable(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, DG.Tweening.DOTween.defaultRecyclable);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultEaseType(IntPtr L)
	{
		try
		{
			ToLua.Push(L, DG.Tweening.DOTween.defaultEaseType);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultEaseOvershootOrAmplitude(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushnumber(L, DG.Tweening.DOTween.defaultEaseOvershootOrAmplitude);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_defaultEasePeriod(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushnumber(L, DG.Tweening.DOTween.defaultEasePeriod);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_logBehaviour(IntPtr L)
	{
		try
		{
			ToLua.Push(L, DG.Tweening.DOTween.logBehaviour);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_useSafeMode(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			DG.Tweening.DOTween.useSafeMode = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_showUnityEditorReport(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			DG.Tweening.DOTween.showUnityEditorReport = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_timeScale(IntPtr L)
	{
		try
		{
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			DG.Tweening.DOTween.timeScale = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_useSmoothDeltaTime(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			DG.Tweening.DOTween.useSmoothDeltaTime = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_drawGizmos(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			DG.Tweening.DOTween.drawGizmos = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultUpdateType(IntPtr L)
	{
		try
		{
			DG.Tweening.UpdateType arg0 = (DG.Tweening.UpdateType)(int)LuaDLL.lua_tonumber(L, 2);
			DG.Tweening.DOTween.defaultUpdateType = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultTimeScaleIndependent(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			DG.Tweening.DOTween.defaultTimeScaleIndependent = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultAutoPlay(IntPtr L)
	{
		try
		{
			DG.Tweening.AutoPlay arg0 = (DG.Tweening.AutoPlay)(int)LuaDLL.lua_tonumber(L, 2);
			DG.Tweening.DOTween.defaultAutoPlay = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultAutoKill(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			DG.Tweening.DOTween.defaultAutoKill = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultLoopType(IntPtr L)
	{
		try
		{
			DG.Tweening.LoopType arg0 = (DG.Tweening.LoopType)(int)LuaDLL.lua_tonumber(L, 2);
			DG.Tweening.DOTween.defaultLoopType = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultRecyclable(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			DG.Tweening.DOTween.defaultRecyclable = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultEaseType(IntPtr L)
	{
		try
		{
			DG.Tweening.Ease arg0 = (DG.Tweening.Ease)(int)LuaDLL.lua_tonumber(L, 2);
			DG.Tweening.DOTween.defaultEaseType = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultEaseOvershootOrAmplitude(IntPtr L)
	{
		try
		{
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			DG.Tweening.DOTween.defaultEaseOvershootOrAmplitude = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_defaultEasePeriod(IntPtr L)
	{
		try
		{
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			DG.Tweening.DOTween.defaultEasePeriod = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_logBehaviour(IntPtr L)
	{
		try
		{
			DG.Tweening.LogBehaviour arg0 = (DG.Tweening.LogBehaviour)(int)LuaDLL.lua_tonumber(L, 2);
			DG.Tweening.DOTween.logBehaviour = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

